# Class AudioFileFormat.Type

java.lang.Object
javax.sound.sampled.AudioFileFormat.Type

Enclosing class:
  `AudioFileFormat`

public static class AudioFileFormat.Type extends Object
An instance of the `Type` class represents one of the standard types of audio file. Static instances are provided for the common types.

Since:
  1.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AudioFileFormat.Type`
  `AIFC`
  Specifies an AIFF-C file.
  `static final AudioFileFormat.Type`
  `AIFF`
  Specifies an AIFF file.
  `static final AudioFileFormat.Type`
  `AU`
  Specifies an AU file.
  `static final AudioFileFormat.Type`
  `SND`
  Specifies a SND file.
  `static final AudioFileFormat.Type`
  `WAVE`
  Specifies a WAVE file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Type(String name, String extension)`
  Constructs a file type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  Indicates whether the specified object is equal to this file type, returning `true` if the objects are equal.
  `String`
  `getExtension()`
  Obtains the common file name extension for this file type.
  `final int`
  `hashCode()`
  Returns a hash code value for this file type.
  `final String`
  `toString()`
  Returns type's name as the string representation of the file type.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### WAVE

    public static final AudioFileFormat.Type WAVE
    Specifies a WAVE file.

  - ### AU

    public static final AudioFileFormat.Type AU
    Specifies an AU file.

  - ### AIFF

    public static final AudioFileFormat.Type AIFF
    Specifies an AIFF file.

  - ### AIFC

    public static final AudioFileFormat.Type AIFC
    Specifies an AIFF-C file.

  - ### SND

    public static final AudioFileFormat.Type SND
    Specifies a SND file.

- ## Constructor Details

  - ### Type

    public Type(String name, String extension)
    Constructs a file type.
    Parameters:
      `name` - the string that names the file type
      `extension` - the string that commonly marks the file type without leading dot

- ## Method Details

  - ### equals

    public final boolean equals(Object obj)
    Indicates whether the specified object is equal to this file type, returning `true` if the objects are equal.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare
    Returns:
      `true` if the specified object is equal to this file type; `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this file type.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this file type
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### toString

    public final String toString()
    Returns type's name as the string representation of the file type.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the file type

  - ### getExtension

    public String getExtension()
    Obtains the common file name extension for this file type.
    Returns:
      file type extension